|  | Home · All Classes · All Functions · Overviews

# QGraphicsAnchor Class Reference
[QtGui module]

The QGraphicsAnchor class represents an anchor between two items in a QGraphicsAnchorLayout. More...

     #include <QGraphicsAnchor>

Inherits QObject.

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Properties

- sizePolicy : QSizePolicy::Policy
- spacing : qreal

- 1 property inherited from QObject

## Public Functions

| ~QGraphicsAnchor ()
void | setSizePolicy ( QSizePolicy::Policy policy )
void | setSpacing ( qreal spacing )
QSizePolicy::Policy | sizePolicy () const
qreal | spacing () const
void | unsetSpacing ()

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QGraphicsAnchor class represents an anchor between two items in a QGraphicsAnchorLayout.

The graphics anchor provides an API that enables you to query and manipulate the properties an anchor has. When an anchor is added to the layout with QGraphicsAnchorLayout::addAnchor(), a QGraphicsAnchor instance is returned where the properties are initialized to their default values. The properties can then be further changed, and they will be picked up the next time the layout is activated.

See also QGraphicsAnchorLayout::anchor().

## Property Documentation

### sizePolicy : QSizePolicy::Policy

This property holds the size policy for the QGraphicsAnchor.

By setting the size policy on an anchor you can configure how the anchor can resize itself from its preferred spacing. For instance, if the anchor has the size policy QSizePolicy::Minimum, the spacing is the minimum size of the anchor. However, its size can grow up to the anchors maximum size. If the default size policy is QSizePolicy::Fixed, the anchor can neither grow or shrink, which means that the only size the anchor can have is the spacing. QSizePolicy::Fixed is the default size policy. QGraphicsAnchor always has a minimum spacing of 0 and a very large maximum spacing.

Access functions:

QSizePolicy::Policy | sizePolicy () const
void | setSizePolicy ( QSizePolicy::Policy policy )

See also QGraphicsAnchor::spacing.

### spacing : qreal

This property holds the preferred space between items in the QGraphicsAnchorLayout.

Depending on the anchor type, the default spacing is either 0 or a value returned from the style.

Access functions:

qreal | spacing () const
void | setSpacing ( qreal spacing )
void | unsetSpacing ()

See also QGraphicsAnchorLayout::addAnchor().

## Member Function Documentation

### QGraphicsAnchor::~QGraphicsAnchor ()

Removes the QGraphicsAnchor object from the layout and destroys it.